Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.distribution.plugins
[Groovy] Class DistributionPlugin

    java.lang.Object
      org.gradle.api.distribution.plugins.DistributionPlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    class DistributionPlugin

Adds the ability to create distributions of the project.

Constructor Summary
`DistributionPlugin(Instantiator instantiator, FileOperations fileOperations)`

Method Summary
`void` | `addTarTask(Project project, Distribution distribution)`
`void` | `addZipTask(Project project, Distribution distribution)`
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### DistributionPlugin

    @Inject
    DistributionPlugin(Instantiator instantiator, FileOperations fileOperations)

Method Detail

### addTarTask

    void addTarTask(Project project, Distribution distribution)

### addZipTask

    void addZipTask(Project project, Distribution distribution)

### apply

    void apply(Project project)

Gradle API 1.10